/*
 * Copyright (C) 2001 Daniel Linder / UIUC DoRES
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *   USA
 *
 */

//
// ax Header File
//

// Include Files

#include <iostream.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#include "Access.h"

// Variables for passing unused fields along to the GUI (***HACK***)

int ToggleKeysToggleSet       = 0;
int SoundOnOffToggleSet       = 0;
int SlowKeysOnAcceptToggleSet = 0;
int SlowKeysOnPressToggleSet  = 0;
int EnableAccessXToggleSet    = 0;

// Function Prototypes

int getValue(char* instring, int* ret);

void showHelp(void);

void parseCommandLine(int argc, char** argv, Access* ax);

void parseConfigFile(Access* ax, int quiet);

void showRawStatus(Access* ax);

